Subject: Re: [PATCH bpf-next v3 3/7] samples/bpf: Convert XDP samples to libbpf usage

From: Jesper Dangaard Brouer <[email-masked]>
Date: Fri, 25 Jan 2019 09:30:27 +0100

On Thu, 24 Jan 2019 22:47:43 +0100
Maciej Fijalkowski <[email-masked]> wrote:

> From: Maciej Fijalkowski <[email-masked]>
> 
> Some of XDP samples that are attaching the bpf program to the interface
> via libbpf's bpf_set_link_xdp_fd are still using the bpf_load.c for
> loading and manipulating the ebpf program and maps. Convert them to do
> this through libbpf usage and remove bpf_load from the picture.
> 
> While at it remove what looks like debug leftover in
> xdp_redirect_map_user.c
> 
> In xdp_redirect_cpu, change the way that the program to be loaded onto
> interface is chosen - user now needs to pass the program's section name
> instead of the relative number. In case of typo print out the section
> names to choose from.
> 
> Signed-off-by: Maciej Fijalkowski <[email-masked]>
> Reviewed-by: Jakub Kicinski <[email-masked]>
> ---
>  samples/bpf/Makefile                |   8 +-
>  samples/bpf/xdp_redirect_cpu_user.c | 145 +++++++++++++++++++++++++-----------
>  samples/bpf/xdp_redirect_map_user.c |  47 ++++++++----
>  samples/bpf/xdp_redirect_user.c     |  44 ++++++++---
>  samples/bpf/xdp_router_ipv4_user.c  |  75 +++++++++++++------
>  samples/bpf/xdp_tx_iptunnel_user.c  |  37 ++++++---
>  6 files changed, 253 insertions(+), 103 deletions(-)

Thanks a lot for converting sample/bpf programs to use libbpf.  It have
been on my todo list for a very long time.

You didn't implement the matching of prog-names in a iproute2 like
fashion, as I described, but the important part was converting this to
libbpf, so I'll Ack this anyway.

Acked-by: Jesper Dangaard Brouer <[email-masked]>

(I acked V1 just before... meant to ACK this V3)

-- 
Best regards,
  Jesper Dangaard Brouer
  MSc.CS, Principal Kernel Engineer at Red Hat
  LinkedIn: http://www.linkedin.com/in/brouer